package DataOfWildCard;

import DataOfWildCard.DataOfWildCard1.DataOfWildCard1;
import DataOfWildCard.DataOfWildCard10.DataOfWildCard10;
import DataOfWildCard.DataOfWildCard2.DataOfWildCard2;
import DataOfWildCard.DataOfWildCard3.DataOfWildCard3;
import DataOfWildCard.DataOfWildCard4.DataOfWildCard4;
import DataOfWildCard.DataOfWildCard5.DataOfWildCard5;
import DataOfWildCard.DataOfWildCard6.DataOfWildCard6;
import DataOfWildCard.DataOfWildCard7.DataOfWildCard7;
import DataOfWildCard.DataOfWildCard8.DataOfWildCard8;
import DataOfWildCard.DataOfWildCard9.DataOfWildCard9;
import DataOfWildCard.DataOfWildCardJ.DataOfWildCardJ;
import DataOfWildCard.DataOfWildCardK.DataOfWildCardK;
import DataOfWildCard.DataOfWildCardQ.DataOfWildCardQ;

/**
 * author:gongyu
 * description:only one
 */
public class DataOfWildCard {
    public long[][][][][][][] DoWC = new long[13][][][][][][];
    DataOfWildCard1 DoWC1 = new DataOfWildCard1();
    DataOfWildCard2 DoWC2 = new DataOfWildCard2();
    DataOfWildCard3 DoWC3 = new DataOfWildCard3();
    DataOfWildCard4 DoWC4 = new DataOfWildCard4();
    DataOfWildCard5 DoWC5 = new DataOfWildCard5();
    DataOfWildCard6 DoWC6 = new DataOfWildCard6();
    DataOfWildCard7 DoWC7 = new DataOfWildCard7();
    DataOfWildCard8 DoWC8 = new DataOfWildCard8();
    DataOfWildCard9 DoWC9 = new DataOfWildCard9();
    DataOfWildCard10 DoWC10 = new DataOfWildCard10();
    DataOfWildCardJ DoWC11 = new DataOfWildCardJ();
    DataOfWildCardQ DoWC12 = new DataOfWildCardQ();
    DataOfWildCardK DoWC13 = new DataOfWildCardK();

    public DataOfWildCard(){
        DoWC[0]=DoWC1.DoWC1;  // 当前打1的所有动作集合
        DoWC[1]=DoWC2.DoWC1;
        DoWC[2]=DoWC3.DoWC1;
        DoWC[3]=DoWC4.DoWC1;
        DoWC[4]=DoWC5.DoWC1;
        DoWC[5]=DoWC6.DoWC1;
        DoWC[6]=DoWC7.DoWC1;
        DoWC[7]=DoWC8.DoWC1;
        DoWC[8]=DoWC9.DoWC1;
        DoWC[9]=DoWC10.DoWC1;
        DoWC[10]=DoWC11.DoWC1;
        DoWC[11]=DoWC12.DoWC1;
        DoWC[12]=DoWC13.DoWC1;
    }



}
